using System.IO;

namespace OCES.Haptic
{
    public interface IBinarySerializable
    {
        void DeSerialize(BinaryReader reader);
        void Serialize(BinaryWriter writer);
    }
    
    public enum HapticType
    {
        Preset = 0,     //播放预制
        Transient = 1,  //播放瞬时
        Continuous = 2, //播放连续
        Advance = 3,    //播放文件
    }
}
